------------------------------------------------------------------------------------
--Name：            220524[简体征服][活动脚本]全球暑期活动
--Creator:      耿力兀
--Created:     2022-05-24
------------------------------------------------------------------------------------
CppScriptMgr:SetCanUseEsc(1)
-- 镜头一
CppScriptMgr:SetViewPosByCell(175,165)
CppScriptMgr:SetDarkScreen(1000);
CppScriptMgr:WaitMilSec(1000)
local hero = CppScriptMgr:QueryHero();
hero:SetPos(175,165);
hero:Say("So this is the Summer Beach!",2000)
CppScriptMgr:WaitMilSec(2000)
hero:Say("It`s so bright and beautiful!",2000)
CppScriptMgr:WaitMilSec(2000)
hero:Say("So... why is it so noisy here?",2000)
CppScriptMgr:WaitMilSec(2000)

CppScriptMgr:SetViewPosByCell(299,227)
local player1 = CppScriptMgr:AddSimplePlayer(44290,306,230,"[Stranded Whale]\n     Cassie",4003000011,1)
local Monster1 = CppScriptMgr:AddPlayer(168,301,230, "Whaler")
local Monster2 = CppScriptMgr:AddPlayer(168,301,225, "Whaler")
local Monster3 = CppScriptMgr:AddPlayer(902,297,225, "Whale Hunter")
Monster1:SetDir(6)
Monster2:SetDir(6)
Monster3:SetDir(6)
Monster1:SetZoomPercent(120)
Monster2:SetZoomPercent(120)
Monster3:SetZoomPercent(120)
Monster3:Say("Whales are just like this? Hahaha!",2000)
player1:Say("Waah...",2000)
CppScriptMgr:WaitMilSec(2000)
CppScriptMgr:SetDarkScreen(1000);
CppScriptMgr:WaitMilSec(1000)

CppScriptMgr:SetViewPosByCell(301,266)
local player2 = CppScriptMgr:AddSimplePlayer(44300,301,266,"[Stranded Whale]\n     Carb",4003000012,1)
Monster1:SetPos(298,270);
Monster2:SetPos(304,268);
Monster3:SetPos(301,271);
Monster1:SetDir(4)
Monster2:SetDir(4)
Monster3:SetDir(3)
Monster1:Say("Stay put!",2000)
player2:Say("I bet you don`t have a grudge against me!",2000)
CppScriptMgr:WaitMilSec(2000)
CppScriptMgr:SetDarkScreen(1000);
CppScriptMgr:WaitMilSec(1000)

CppScriptMgr:SetViewPosByCell(219,342)
local player3 = CppScriptMgr:AddSimplePlayer(44316,219,342,"[Stranded Whale]\n     Karna",4003000013,1)
Monster1:SetPos(215,336);
Monster2:SetPos(225,339);
Monster3:SetPos(219,335);
Monster1:SetDir(0)
Monster2:SetDir(2)
Monster3:SetDir(0)
Monster2:Say("Hahaha, no one is coming for you!",2000)
player3:Say("Please don`t hurt me...",2000)
CppScriptMgr:WaitMilSec(2000)
CppScriptMgr:SetDarkScreen(1000);
CppScriptMgr:WaitMilSec(1000)



CppScriptMgr:SetViewPosByCell(171,146)
local player6 = CppScriptMgr:AddSimplePlayer(44280,171,146,"[Captured Whale King]\n         Cassio",4003000016,1)
player6:SetZoomPercent(150)
Monster1:SetPos(168,151);
Monster2:SetPos(177,149);
Monster3:SetPos(172,152);
Monster1:SetDir(5)
Monster2:SetDir(2)
Monster3:SetDir(4)
Monster1:Say("Form up! Confine!",2000)
Monster2:Say("Form up! Confine!",2000)
CppScriptMgr:WaitMilSec(2000)
local effectObj1 = CppScriptMgr:AddEffect("tj",171,146)
Monster3:Say("Hehehe, you can`t get away!",3000)
player6:Say("You`re going to pay for this! I will not spare you!",3000)
CppScriptMgr:WaitMilSec(4000)
CppScriptMgr:SetDarkScreen(1000);



